#
# spec file for package guile-cairo
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 0
Name:           guile-cairo
Version:        1.10.0
Release:        lp152.2.5
Summary:        Guile bindings to Cairo
License:        LGPL-3.0-or-later
Group:          Development/Libraries/Other
URL:            https://www.nongnu.org/guile-cairo/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.sig
BuildRequires:  cairo-devel
BuildRequires:  guile-devel
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
Requires:       lib%{name}%{sover}

%description
Guile bindings to Cairo library.

%package -n lib%{name}%{sover}
Summary:        Guile cairo libary
Group:          System/Libraries

%description -n lib%{name}%{sover}
Libraries for Guile bindings for Cairo.

%package devel
Summary:        Development files for Guile Cairo bindings
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       cairo-devel
Requires:       guile-devel

%description devel
Files required to build software using Guile Cairo bindings.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
# get rid of unused library
rm %{buildroot}%{_libdir}/lib%{name}.la

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files
%license COPYING.LESSER COPYING
%doc AUTHORS HACKING NEWS README TODO ChangeLog
%{_datadir}/guile
%{_infodir}/%{name}.info*

%files -n lib%{name}%{sover}
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}

%changelog
* Wed Jan  9 2019 jbrielmaier@suse.de
- update to version 1.10.0:
  * new functions
  * renaming of some functions to follow original C names
  * various bug fixes
  For more details see the NEWS file.
- include signature of tarball as source
* Thu Mar 22 2018 sleep_walker@opensuse.org
- remove *.la files so package can get to Factory
* Sun Mar 18 2018 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use.
* Fri Mar 16 2018 sleep_walker@opensuse.org
- add basic documentation and license files, fix license
* Thu Feb 15 2018 sleep_walker@opensuse.org
- let there be guile-cairo!
